# [BETA] List volume snapshots

```http
GET /compute/v1/tenants/{tenantId}/volumes/{volumeId}/snapshots
```

Base URL: `https://api-portal.aur.lu/api`

Operation ID: `ListVolumeSnapshots`

Authentication: ApiKeyAuth (API key in header `X-Api-Key`)

Required permission: `read:compute:snapshots`

Returns a paginated list of snapshots for a volume

## Parameters

### Path parameters

- `tenantId` (string, required) — Tenant ID
- `volumeId` (string, required) — Volume ID

### Query parameters

- `page` (integer, default: `1`) — Page number
- `pageSize` (integer, default: `20`) — Page size

## Responses

### 200 — OK

Content type: `application/json`

- `items` (array of object)
  - items (object)
    - `createdAt` (string)
    - `id` (string)
    - `name` (string)
    - `physicalSizeBytes` (integer) — physical size of backed-up snapshot on image store
    - `revertible` (boolean)
    - `state` (string) — the state of the snapshot. BackedUpSnapshot means that the snapshot is ready to be used; Creating - the snapshot is being allocated on the primary storage; BackingUp - the snapshot is being backed up on secondary storage
    - `virtualSizeBytes` (integer) — virtual size of backed-up snapshot on image store
    - `volumeId` (string)
    - `volumeName` (string)
- `page` (integer)
- `pageSize` (integer)
- `totalCount` (integer)

### 403 — Compute is suspended for this tenant

Content type: `application/json`

- `message` (string)
